
def zip_longest(*args, fillvalue=None):
    """
    Like zip(), returns an iterator that aggregates elements from each of the iterables.
    The iterator stops when the shortest iterable is exhausted, unlike zip(), which
    stops when the longest iterable is exhausted. If the iterables are of uneven length,
    missing values are filled-in with fillvalue.
    """
    # This function uses the built-in zip_longest function from itertools module.
    from itertools import zip_longest

    def custom_zip_longest(*args, fillvalue=None):
        return zip_longest(*args, fillvalue=fillvalue)

    return custom_zip_longest



